User relation
Get user relation
Retrieve the relation for a specific user in your external service.
Path Parameters
externalServiceId*string
External service ID (UUID).
Format
uuiduserId*string
User ID (UUID).
Format
uuidResponse
200Error Responses
400
invalid_schema
Request validation failed.
401
missing_api_token
No authentication token provided.
401
invalid_api_token
Invalid or expired authentication token.
403
scope_permission_denied
Insufficient permissions for this operation.
403
external_service_access_denied
Token does not match the requested external service.
404
user_relation_not_found
User relation was not found.
curl -X GET "https://dev.wingfield.systems/api/v1/external-services/497f6eca-6276-4993-bfeb-53cbbbba6f08/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/relation"{
"userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
"email": "user@example.com",
"externalUserId": "string",
"status": "PENDING",
"user": null
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}{
"error": {
"type": "user_relation_not_found",
"message": "string"
}
}